org.bouncycastle.asn1.gm

## Class GMNamedCurves

- java.lang.Object
- - org.bouncycastle.asn1.gm.GMNamedCurves

-     public class GMNamedCurves
      extends java.lang.Object

  Chinese standard GM named curves.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMNamedCurves()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X9ECParameters` | `getByName(java.lang.String name)`
    `static X9ECParametersHolder` | `getByNameLazy(java.lang.String name)`
    `static X9ECParameters` | `getByOID(ASN1ObjectIdentifier oid)` return the X9ECParameters object for the named curve represented by the passed in object identifier.
    `static X9ECParametersHolder` | `getByOIDLazy(ASN1ObjectIdentifier oid)`
    `static java.lang.String` | `getName(ASN1ObjectIdentifier oid)` return the named curve name represented by the given object identifier.
    `static java.util.Enumeration` | `getNames()` returns an enumeration containing the name strings for curves contained in this structure.
    `static ASN1ObjectIdentifier` | `getOID(java.lang.String name)` return the object identifier signified by the passed in name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GMNamedCurves

          public GMNamedCurves()

  - ### Method Detail

    - #### getByName

          public static X9ECParameters getByName(java.lang.String name)

    - #### getByNameLazy

          public static X9ECParametersHolder getByNameLazy(java.lang.String name)

    - #### getByOID

          public static X9ECParameters getByOID(ASN1ObjectIdentifier oid)

      return the X9ECParameters object for the named curve represented by the passed in object identifier. Null if the curve isn't present.
      Parameters:
        `oid` - an object identifier representing a named curve, if present.

    - #### getByOIDLazy

          public static X9ECParametersHolder getByOIDLazy(ASN1ObjectIdentifier oid)

    - #### getOID

          public static ASN1ObjectIdentifier getOID(java.lang.String name)

      return the object identifier signified by the passed in name. Null if there is no object identifier associated with name.
      Returns:
        the object identifier associated with name, if present.

    - #### getName

          public static java.lang.String getName(ASN1ObjectIdentifier oid)

      return the named curve name represented by the given object identifier.

    - #### getNames

          public static java.util.Enumeration getNames()

      returns an enumeration containing the name strings for curves contained in this structure.